<html>
<head>
<title>OGRE: Ogre::RenderQueueListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1RenderQueueListener.html">RenderQueueListener</a></div>
<h1>Ogre::RenderQueueListener Class Reference</h1><!-- doxytag: class="Ogre::RenderQueueListener" -->Abstract interface which classes must implement if they wish to receive events from the render queue.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreRenderQueueListener_8h-source.html">OgreRenderQueueListener.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::RenderQueueListener:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1RenderQueueListener-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueListener.html#ca4ab8444c09caeeff186213a98beb89">~RenderQueueListener</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueListener.html#c2a830d14b2bb411a473192560cf7561">renderQueueStarted</a> (<a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> queueGroupId, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;invocation, bool &amp;skipThisInvocation)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Event raised before a queue group is rendered.  <a href="#c2a830d14b2bb411a473192560cf7561"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueListener.html#f018b136e2f8764a90573af35757d9c4">renderQueueEnded</a> (<a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> queueGroupId, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;invocation, bool &amp;repeatThisInvocation)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Event raised after a queue group is rendered.  <a href="#f018b136e2f8764a90573af35757d9c4"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Abstract interface which classes must implement if they wish to receive events from the render queue. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The OGRE render queue is divided into several queue groups, as defined by uint8. A class may implement this interface, and register itself as a listener by calling <a class="el" href="classOgre_1_1SceneManager.html#e60242c5d130f884cd605d3393186df6" title="Registers a new RenderQueueListener which will be notified when render queues are...">SceneManager::addRenderQueueListener</a>. After doing so, the class will receive an event before and after each queue group is sent to the rendering system. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>The event listeners have an option to make a queue either be skipped, or to repeat. Note that if multiple listeners are registered, the one registered last has the final say, although options set by previous listeners will not be changed if the latest does not express a preference. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueListener_8h-source.html#l00051">51</a> of file <a class="el" href="OgreRenderQueueListener_8h-source.html">OgreRenderQueueListener.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="ca4ab8444c09caeeff186213a98beb89"></a><!-- doxytag: member="Ogre::RenderQueueListener::~RenderQueueListener" ref="ca4ab8444c09caeeff186213a98beb89" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::RenderQueueListener::~RenderQueueListener           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueListener_8h-source.html#l00054">54</a> of file <a class="el" href="OgreRenderQueueListener_8h-source.html">OgreRenderQueueListener.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="c2a830d14b2bb411a473192560cf7561"></a><!-- doxytag: member="Ogre::RenderQueueListener::renderQueueStarted" ref="c2a830d14b2bb411a473192560cf7561" args="(uint8 queueGroupId, const String &amp;invocation, bool &amp;skipThisInvocation)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderQueueListener::renderQueueStarted           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td>
          <td class="paramname"> <em>queueGroupId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>invocation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&nbsp;</td>
          <td class="paramname"> <em>skipThisInvocation</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Event raised before a queue group is rendered. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method is called by the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> before each queue group is rendered. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>queueGroupId</em>&nbsp;</td><td>The id of the queue group which is about to be rendered </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>invocation</em>&nbsp;</td><td>Name of the invocation which is causing this to be called (</td></tr>
  </table>
</dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderQueueInvocation.html" title="Class representing the invocation of queue groups in a RenderQueue.">RenderQueueInvocation</a>) </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>skipThisInvocation</em>&nbsp;</td><td>A boolean passed by reference which is by default set to false. If the event sets this to true, the queue will be skipped and not rendered. Note that in this case the renderQueueEnded event will not be raised for this queue group. </td></tr>
  </table>
</dl>

<p>Implemented in <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#0fa10cc7b6d0db12d05f20e6d110fa33">Ogre::CompositorChain::RQListener</a>.</p>

</div>
</div><p>
<a class="anchor" name="f018b136e2f8764a90573af35757d9c4"></a><!-- doxytag: member="Ogre::RenderQueueListener::renderQueueEnded" ref="f018b136e2f8764a90573af35757d9c4" args="(uint8 queueGroupId, const String &amp;invocation, bool &amp;repeatThisInvocation)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderQueueListener::renderQueueEnded           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td>
          <td class="paramname"> <em>queueGroupId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>invocation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&nbsp;</td>
          <td class="paramname"> <em>repeatThisInvocation</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Event raised after a queue group is rendered. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method is called by the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> after each queue group is rendered. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>queueGroupId</em>&nbsp;</td><td>The id of the queue group which has just been rendered </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>invocation</em>&nbsp;</td><td>Name of the invocation which is causing this to be called (</td></tr>
  </table>
</dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderQueueInvocation.html" title="Class representing the invocation of queue groups in a RenderQueue.">RenderQueueInvocation</a>) </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>repeatThisInvocation</em>&nbsp;</td><td>A boolean passed by reference which is by default set to false. If the event sets this to true, the queue which has just been rendered will be repeated, and the renderQueueStarted and renderQueueEnded events will also be fired for it again. </td></tr>
  </table>
</dl>

<p>Implemented in <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#6bae4a9e3da5f047168f3e703066c422">Ogre::CompositorChain::RQListener</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderQueueListener_8h-source.html">OgreRenderQueueListener.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:06 2008
</p>
</body>
</html>
